Package docking.actions

# Interface SharedDockingActionPlaceholder

public interface SharedDockingActionPlaceholder
A marker interface to signal that the implementing action serves as an action that should not itself be used in the tool, but should only be used to register and manage keybindings.

This action is merely a tool by which transient components can ensure that their actions are correctly managed when the component is created. Normal actions will get registered when the tool first starts-up. Alternatively, transient components only appear when called upon by some event, such as a user request. The issue heretofore was that the tool will remove any options that are not longer used. Thus, if an action belonging to a transient component does not get registered every time the tool is used, then the options (and key bindings) for that action are removed from the too. This interface allows a second-party to register an action on behalf of a transient provider, thus preventing the tool from removing any previously applied options.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default KeyStroke`
  `getKeyBinding()`
  The default key binding for the action represented by this placeholder
  `String`
  `getName()`
  The action name.
  `default String`
  `getOwner()`
  Returns an owner name to use in place of "Shared".

- ## Method Details

  - ### getName

    String getName()
    The action name. This name must exactly match the name of the action represented by this placeholder.
    Returns:
      the name

  - ### getOwner

    default String getOwner()
    Returns an owner name to use in place of "Shared". This should only be used when the client knows for certain that all shared actions are shared by a single owner. This is not typical for shared actions. This can happen when one owner (such as a plugin) has multiple component providers that share action key bindings.
    Returns:
      the owner

  - ### getKeyBinding

    default KeyStroke getKeyBinding()
    The default key binding for the action represented by this placeholder
    Returns:
      the key binding; may be null